// #define DEBUG
#include "NexMegaIO.h"


// Declare a NexMegaIO object with default parameters:
// Nextion on Serial1 (pins 18 and 19), 115200 baud
NexMegaIO NexIO;

void setup() {
  // put your setup code here, to run once:
  NexIO.begin();  // Start the NexMegaIO object
#ifdef DEBUG
  Serial.begin(57600);
#endif
}

void loop() {
  // put your main code here, to run repeatedly:
  while (NexIO.NexPort.available()) {
    // Hand all received bytes over to the object for processing:
    NexIO.process(NexIO.NexPort.read());
  }
  analogRead(A8);
}
